Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455407 - New upstream version available
Summary: New upstream version available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: argyllcms
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL: http://www.argyllcms.com/doc/ChangesS...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 12:59 UTC by Markku Kolkka
Modified: 2008-07-27 14:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-27 14:04:37 UTC


Attachments (Terms of Use)

Description Markku Kolkka 2008-07-15 12:59:43 UTC
Description of problem:
Argyll CMS 1.0.0 was released on July 1st, the current upstream version is 1.0.1

Version-Release number of selected component (if applicable):
0.70-0.8.Beta8

Comment 1 Nicolas Mailhot 2008-07-25 13:29:17 UTC
I've watched 1.0.0 be announced and patch after patch be posted on argyll's list

I've tried to work with Alastair M. Robinson to get an autotool patch we could
use released
http://www.blackfiveservices.co.uk/Argyll_V1.0.1_autotools.patch.gz

But at this point, I'm running out of time. I doubt I'll manage to release
anything before I leave for vacations in a few days. And even if I did, that
would be a fedora-devel only version not backported to previous releases. Sorry.

Anyway, if someone wants to work on it while I'm away, here is what remains to
be done:
1. locate the full post 1.0.0 Greame has been compiling
2. work with Alastair M. Robinson to help him finalise an autotool patch that
allows building against system libtiff and libusb
3. check our hal rules do not need additions and rework them based on the new
release documentation
4. recreate the fedora legal patch to make fedora-legal happy (look at the last
one to see what it does)
5. rework the spec to use autotool and remove workarounds we no longer need
(such as icclink renaming)

That's minimun half a day of work. I don't have it short-term :(

But we'll make the F10 release anyway.


Comment 2 Nicolas Mailhot 2008-07-25 13:29:55 UTC
1. locate the full post 1.0.0 patchset Greame has been compilin

Comment 3 Nicolas Mailhot 2008-07-27 14:04:37 UTC
Oh well I'm going to regret is this evening since I should really be packing
instead, but I've pushed it to rawhide


Note You need to log in before you can comment on or make changes to this bug.